CrossOver Support - Community Forums

Important Information These are community forums and not official technical support. If you need official support: Contact Us



CrossOver Linux
Discussion about CrossOver Linux

The following comments are owned by whoever posted them. We are not responsible for them in any way.


Reply to Thread Back to Threads

Crossover installation fails on 17.10
David VC
Posted 2017-10-29 06:45
Hey,

i just tried to install crossover via the terminal with gdebi like it is described on the homepage.
I ran into an error after the installation of all dependencies during the installation of crossover:i386.
The terminal show this:

Entpacken von crossover:i386 (16.2.5-1) ...
crossover:i386 (16.2.5-1) wird eingerichtet ...
/usr/bin/env: »python“: Datei oder Verzeichnis nicht gefunden
dpkg: Fehler beim Bearbeiten des Paketes crossover:i386 (--install):
Unterprozess installiertes post-installation-Skript gab den Fehlerwert 127 zurück
Trigger für doc-base (0.10.7) werden verarbeitet ...
1 hinzugefügte Doc-base-Datei wird verarbeitet...
Fehler traten auf beim Bearbeiten von:
crossover:i386

I am sorry that the output is in german.
I hope someone as a clue how to fix this.

With kind regards
David
Chris Must
Posted 2017-10-29 09:51
Hi David,

I had a similar problem with my install. I had to repair my packages, mark Crossover for complete removal and then re-install. This seemed to work in so far as the installation is concerned, including dependencies,  however I am still trying to get Crossover itself to work and to appear in the menu.

I hop this is of some help to  you.

Regards,

Chris
Chris Hildebrandt
Chris Hildebrandt
Posted 2017-11-01 06:26
apt update && apt -f install

That should fix it.
Greetings,
Chris
David Dragon Turbo Chief Senior Advocate
Posted 2017-11-05 08:35
I take it as this is Ubuntu 17.10  ..... I haven't tried it yet as I wanted to install it on a new drive
Joe Giles
Posted 2018-01-04 11:45
I get the same error on 17.10:

Fetched 423 kB in 1s (228 kB/s)                                    
Reading package lists... Done
Building dependency tree      
Reading state information... Done
All packages are up to date.
Reading package lists... Done
Building dependency tree      
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
1 not fully installed or removed.
After this operation, 0 B of additional disk space will be used.
Setting up crossover:i386 (16.2.0-1) ...
/usr/bin/env: ‘python’: No such file or directory
dpkg: error processing package crossover:i386 (--configure):
subprocess installed post-installation script returned error exit status 127
Errors were encountered while processing:
crossover:i386
E: Sub-process /usr/bin/dpkg returned an error code (1)

Any ideas?

Thanks!
Joe Giles
Posted 2018-01-04 11:50
NM, I fixed it... Apparently, the new apt-get that comes with Ubuntu 17.10 doesn't detect that python is not install and try to install it. I apt-get installed python3 and it worked without issue.

Thanks!

Please Note: This Forum is for non-application specific questions relating to installation/configuration of CrossOver. All application-specific posts to this Forum will be moved to their appropriate Compatibility Center Forum.

CrossOver Forums: the place to discuss running Windows applications on Mac and Linux

Please Wait...
eyJjYXJ0IjowLCJ0enMiOi01LCJjZG4iOiJodHRwczpcL1wvbWVkaWEuY29kZXdlYXZlcnMuY29tXC9wdWJcL2Nyb3Nzb3Zlclwvd2Vic2l0ZSIsImNkbnRzIjoxNTI1ODk4MDg2fQ==